Bug 279725 - Crash when previewing .ods document
Summary: Crash when previewing .ods document
Status: RESOLVED FIXED
Alias: None
Product: calligrasheets
Classification: Unclassified
Component: general (show other bugs)
Version: 2.4-snapshots
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Calligra Sheets (KSpread) Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-09 10:39 UTC by Christoph Feck
Modified: 2011-08-16 08:09 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Feck 2011-08-09 10:39:37 UTC
Application: konqueror (4.7.41 (4.7.41 (KDE 4.8 >= 20110807))
KDE Platform Version: 4.7.41 (4.7.41 (KDE 4.8 >= 20110807) (Compiled from sources)
Qt Version: 4.7.4
Operating System: Linux 2.6.37.6-0.7-desktop i686
Distribution: "openSUSE 11.4 (i586)"

-- Information about the crash:
- What I was doing when the application crashed:

I try to preview a .ods document with Konqueror, and it crashes. I can attach the document if needed.

The crash can be reproduced every time.

-- Backtrace:
Application: Konqueror (kdeinit4), signal: Aborted
[KCrash Handler]
#7  0xffffe424 in __kernel_vsyscall ()
#8  0xb5ae88df in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#9  0xb5aea220 in abort () at abort.c:92
#10 0xb6aa99d3 in qt_message_output (msgType=QtFatalMsg, buf=0x9a872f8 "ASSERT failure in QDBusConnection::registerObject: \"Invalid object path given\", file /local/git/Qt/qt/src/dbus/qdbusconnection.cpp, line 731") at /local/git/Qt/qt/src/corelib/global/qglobal.cpp:2282
#11 0xb6aa9b3e in qt_message (msgType=QtFatalMsg, msg=0xb6c36438 "ASSERT failure in %s: \"%s\", file %s, line %d", ap=0xbfce6e24 "\370<\332\266\336<\332\266\260<\332\266\333\002") at /local/git/Qt/qt/src/corelib/global/qglobal.cpp:2328
#12 0xb6aa9f6a in qFatal (msg=0xb6c36438 "ASSERT failure in %s: \"%s\", file %s, line %d") at /local/git/Qt/qt/src/corelib/global/qglobal.cpp:2511
#13 0xb6aa95ba in qt_assert_x (where=0xb6da3cf8 "QDBusConnection::registerObject", what=0xb6da3cde "Invalid object path given", file=0xb6da3cb0 "/local/git/Qt/qt/src/dbus/qdbusconnection.cpp", line=731) at /local/git/Qt/qt/src/corelib/global/qglobal.cpp:2035
#14 0xb6d5531a in QDBusConnection::registerObject (this=0xbfce6f0c, path=..., object=0x8db6208, options=...) at /local/git/Qt/qt/src/dbus/qdbusconnection.cpp:730
#15 0xad04a8ac in Calligra::Tables::Doc::sheetAdded (this=0x9061288, sheet=0x8db6208) at /local/git/extragear/office/calligra/tables/part/Doc.cpp:609
#16 0xad04ae28 in Calligra::Tables::Doc::qt_metacall (this=0x9061288, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbfce7018) at /local/build/extragear/office/calligra/tables/Doc.moc:85
#17 0xb6bc743a in QMetaObject::metacall (object=0x9061288, cl=QMetaObject::InvokeMetaMethod, idx=43, argv=0xbfce7018) at /local/git/Qt/qt/src/corelib/kernel/qmetaobject.cpp:237
#18 0xb6bda5bf in QMetaObject::activate (sender=0x8dd6020, m=0xabd3bbcc, local_signal_index=2, argv=0xbfce7018) at /local/git/Qt/qt/src/corelib/kernel/qobject.cpp:3278
#19 0xabc1090a in Calligra::Tables::Map::sheetAdded (this=0x8dd6020, _t1=0x8db6208) at /local/build/extragear/office/calligra/tables/Map.moc:127
#20 0xabc0c80e in Calligra::Tables::Map::addSheet (this=0x8dd6020, _sheet=0x8db6208) at /local/git/extragear/office/calligra/tables/Map.cpp:348
#21 0xabc0c84d in Calligra::Tables::Map::addNewSheet (this=0x8dd6020, name=...) at /local/git/extragear/office/calligra/tables/Map.cpp:354
#22 0xabc0e2f2 in Calligra::Tables::Map::loadOdf (this=0x8dd6020, body=..., odfContext=...) at /local/git/extragear/office/calligra/tables/Map.cpp:599
#23 0xabbf6c5e in Calligra::Tables::DocBase::loadOdf (this=0x9061288, odfStore=...) at /local/git/extragear/office/calligra/tables/DocBase.cpp:249
#24 0xace148aa in KoDocument::loadOasisFromStore (this=0x9061288, store=0x8ec0de8) at /local/git/extragear/office/calligra/libs/main/KoDocument.cpp:1976
#25 0xace13a32 in KoDocument::loadNativeFormatFromStoreInternal (this=0x9061288, store=0x8ec0de8) at /local/git/extragear/office/calligra/libs/main/KoDocument.cpp:1866
#26 0xace1369a in KoDocument::loadNativeFormatFromStore (this=0x9061288, file=...) at /local/git/extragear/office/calligra/libs/main/KoDocument.cpp:1814
#27 0xace1351f in KoDocument::loadNativeFormat (this=0x9061288, file_=...) at /local/git/extragear/office/calligra/libs/main/KoDocument.cpp:1794
#28 0xace12435 in KoDocument::openFile (this=0x9061288) at /local/git/extragear/office/calligra/libs/main/KoDocument.cpp:1579
#29 0xb478b3eb in KParts::ReadOnlyPartPrivate::_k_slotJobFinished (this=0x90c5d48, job=0x9063218) at /local/git/KDE/libs/kdelibs/kparts/part.cpp:695
#30 0xb478d1b4 in KParts::ReadOnlyPart::qt_metacall (this=0x9061288, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xbfce7a38) at /local/build/KDE/libs/kdelibs/kparts/part.moc:179
#31 0xb478d4c1 in KParts::ReadWritePart::qt_metacall (this=0x9061288, _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0xbfce7a38) at /local/build/KDE/libs/kdelibs/kparts/part.moc:294
#32 0xace18d22 in KoDocument::qt_metacall (this=0x9061288, _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0xbfce7a38) at /local/build/extragear/office/calligra/libs/main/KoDocument.moc:110
#33 0xabbf5852 in Calligra::Tables::DocBase::qt_metacall (this=0x9061288, _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0xbfce7a38) at /local/build/extragear/office/calligra/tables/DocBase.moc:64
#34 0xad04ad90 in Calligra::Tables::Doc::qt_metacall (this=0x9061288, _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0xbfce7a38) at /local/build/extragear/office/calligra/tables/Doc.moc:77
#35 0xb6bc743a in QMetaObject::metacall (object=0x9061288, cl=QMetaObject::InvokeMetaMethod, idx=12, argv=0xbfce7a38) at /local/git/Qt/qt/src/corelib/kernel/qmetaobject.cpp:237
#36 0xb6bda5bf in QMetaObject::activate (sender=0x9063218, m=0xb70cf488, local_signal_index=3, argv=0xbfce7a38) at /local/git/Qt/qt/src/corelib/kernel/qobject.cpp:3278
#37 0xb6effca0 in KJob::result (this=0x9063218, _t1=0x9063218) at /local/build/KDE/libs/kdelibs/kdecore/kjob.moc:194
#38 0xb6eff2cf in KJob::emitResult (this=0x9063218) at /local/git/KDE/libs/kdelibs/kdecore/jobs/kjob.cpp:312
#39 0xb50cb8b1 in KIO::FileCopyJob::slotResult (this=0x9063218, job=0x8ec0110) at /local/git/KDE/libs/kdelibs/kio/kio/job.cpp:2440
#40 0xb50cecaa in KIO::FileCopyJob::qt_metacall (this=0x9063218, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbfce7bb8) at /local/build/KDE/libs/kdelibs/kio/jobclasses.moc:724
#41 0xb6bc743a in QMetaObject::metacall (object=0x9063218, cl=QMetaObject::InvokeMetaMethod, idx=32, argv=0xbfce7bb8) at /local/git/Qt/qt/src/corelib/kernel/qmetaobject.cpp:237
#42 0xb6bda5bf in QMetaObject::activate (sender=0x8ec0110, m=0xb70cf488, local_signal_index=3, argv=0xbfce7bb8) at /local/git/Qt/qt/src/corelib/kernel/qobject.cpp:3278
#43 0xb6effca0 in KJob::result (this=0x8ec0110, _t1=0x8ec0110) at /local/build/KDE/libs/kdelibs/kdecore/kjob.moc:194
#44 0xb6eff2cf in KJob::emitResult (this=0x8ec0110) at /local/git/KDE/libs/kdelibs/kdecore/jobs/kjob.cpp:312
#45 0xb50c3f7d in KIO::SimpleJob::slotFinished (this=0x8ec0110) at /local/git/KDE/libs/kdelibs/kio/kio/job.cpp:494
#46 0xb50c6c68 in KIO::TransferJob::slotFinished (this=0x8ec0110) at /local/git/KDE/libs/kdelibs/kio/kio/job.cpp:1081
#47 0xb50ce25e in KIO::TransferJob::qt_metacall (this=0x8ec0110, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbfce7e5c) at /local/build/KDE/libs/kdelibs/kio/jobclasses.moc:369
#48 0xb6bc743a in QMetaObject::metacall (object=0x8ec0110, cl=QMetaObject::InvokeMetaMethod, idx=47, argv=0xbfce7e5c) at /local/git/Qt/qt/src/corelib/kernel/qmetaobject.cpp:237
#49 0xb6bda5bf in QMetaObject::activate (sender=0x8eb7b68, m=0xb52c25c4, local_signal_index=4, argv=0x0) at /local/git/Qt/qt/src/corelib/kernel/qobject.cpp:3278
#50 0xb51724f1 in KIO::SlaveInterface::finished (this=0x8eb7b68) at /local/build/KDE/libs/kdelibs/kio/slaveinterface.moc:171
#51 0xb516fada in KIO::SlaveInterface::dispatch (this=0x8eb7b68, _cmd=104, rawdata=...) at /local/git/KDE/libs/kdelibs/kio/kio/slaveinterface.cpp:172
#52 0xb516f762 in KIO::SlaveInterface::dispatch (this=0x8eb7b68) at /local/git/KDE/libs/kdelibs/kio/kio/slaveinterface.cpp:88
#53 0xb51654a6 in KIO::Slave::gotInput (this=0x8eb7b68) at /local/git/KDE/libs/kdelibs/kio/kio/slave.cpp:344
#54 0xb5166642 in KIO::Slave::qt_metacall (this=0x8eb7b68, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbfce812c) at /local/build/KDE/libs/kdelibs/kio/slave.moc:82
#55 0xb6bc743a in QMetaObject::metacall (object=0x8eb7b68, cl=QMetaObject::InvokeMetaMethod, idx=30, argv=0xbfce812c) at /local/git/Qt/qt/src/corelib/kernel/qmetaobject.cpp:237
#56 0xb6bda5bf in QMetaObject::activate (sender=0x8a4eb30, m=0xb52bf344, local_signal_index=0, argv=0x0) at /local/git/Qt/qt/src/corelib/kernel/qobject.cpp:3278
#57 0xb509599f in KIO::Connection::readyRead (this=0x8a4eb30) at /local/build/KDE/libs/kdelibs/kio/connection.moc:92
#58 0xb5092794 in KIO::ConnectionPrivate::dequeue (this=0x8d68f10) at /local/git/KDE/libs/kdelibs/kio/kio/connection.cpp:82
#59 0xb509592e in KIO::Connection::qt_metacall (this=0x8a4eb30, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x8dce030) at /local/build/KDE/libs/kdelibs/kio/connection.moc:79
#60 0xb6bc743a in QMetaObject::metacall (object=0x8a4eb30, cl=QMetaObject::InvokeMetaMethod, idx=5, argv=0x8dce030) at /local/git/Qt/qt/src/corelib/kernel/qmetaobject.cpp:237
#61 0xb6bd567d in QMetaCallEvent::placeMetaCall (this=0x8ebf8d8, object=0x8a4eb30) at /local/git/Qt/qt/src/corelib/kernel/qobject.cpp:535
#62 0xb6bd6753 in QObject::event (this=0x8a4eb30, e=0x8ebf8d8) at /local/git/Qt/qt/src/corelib/kernel/qobject.cpp:1217
#63 0xb5f408ae in QApplicationPrivate::notify_helper (this=0x8113a28, receiver=0x8a4eb30, e=0x8ebf8d8) at /local/git/Qt/qt/src/gui/kernel/qapplication.cpp:4462
#64 0xb5f3e1aa in QApplication::notify (this=0xbfce8bb0, receiver=0x8a4eb30, e=0x8ebf8d8) at /local/git/Qt/qt/src/gui/kernel/qapplication.cpp:3862
#65 0xb743aefa in KApplication::notify (this=0xbfce8bb0, receiver=0x8a4eb30, event=0x8ebf8d8) at /local/git/KDE/libs/kdelibs/kdeui/kernel/kapplication.cpp:311
#66 0xb6bbfd8f in QCoreApplication::notifyInternal (this=0xbfce8bb0, receiver=0x8a4eb30, event=0x8ebf8d8) at /local/git/Qt/qt/src/corelib/kernel/qcoreapplication.cpp:787
#67 0xb6bc3691 in QCoreApplication::sendEvent (receiver=0x8a4eb30, event=0x8ebf8d8) at ../../include/QtCore/../../../../git/Qt/qt/src/corelib/kernel/qcoreapplication.h:215
#68 0xb6bc0e28 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x805dd58) at /local/git/Qt/qt/src/corelib/kernel/qcoreapplication.cpp:1428
#69 0xb6bc0ae5 in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at /local/git/Qt/qt/src/corelib/kernel/qcoreapplication.cpp:1321
#70 0xb6bf4c20 in QCoreApplication::sendPostedEvents () at ../../include/QtCore/../../../../git/Qt/qt/src/corelib/kernel/qcoreapplication.h:220
#71 0xb6bf3d82 in postEventSourceDispatch (s=0x8115d08) at /local/git/Qt/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:277
#72 0xb5618509 in g_main_dispatch (context=0x8115c78) at gmain.c:2440
#73 g_main_context_dispatch (context=0x8115c78) at gmain.c:3013
#74 0xb5618d10 in g_main_context_iterate (context=0x8115c78, block=1, dispatch=1, self=0x8113b90) at gmain.c:3091
#75 0xb5618fce in g_main_context_iteration (context=0x8115c78, may_block=1) at gmain.c:3154
#76 0xb6bf4548 in QEventDispatcherGlib::processEvents (this=0x8113b80, flags=...) at /local/git/Qt/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:422
#77 0xb6009a98 in QGuiEventDispatcherGlib::processEvents (this=0x8113b80, flags=...) at /local/git/Qt/qt/src/gui/kernel/qguieventdispatcher_glib.cpp:204
#78 0xb6bbdaed in QEventLoop::processEvents (this=0xbfce8aac, flags=...) at /local/git/Qt/qt/src/corelib/kernel/qeventloop.cpp:149
#79 0xb6bbdc31 in QEventLoop::exec (this=0xbfce8aac, flags=...) at /local/git/Qt/qt/src/corelib/kernel/qeventloop.cpp:201
#80 0xb6bc047a in QCoreApplication::exec () at /local/git/Qt/qt/src/corelib/kernel/qcoreapplication.cpp:1064
#81 0xb5f3dddc in QApplication::exec () at /local/git/Qt/qt/src/gui/kernel/qapplication.cpp:3736
#82 0xb10cb7e2 in kdemain (argc=2, argv=0x80c6ab0) at /local/git/KDE/base/kde-baseapps/konqueror/src/konqmain.cpp:227
#83 0x0804ddb8 in launch (argc=2, _name=0x80aef14 "/local/kde4/bin/konqueror", args=0x80aef37 "", cwd=0x0, envc=0, envs=0x80aef3b "", reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x80aef3f "duo;1312885353;892016;3771_TIME36737098") at /local/git/KDE/libs/kdelibs/kinit/kinit.cpp:734
#84 0x0804ee1d in handle_launcher_request (sock=8, who=0x8053834 "launcher") at /local/git/KDE/libs/kdelibs/kinit/kinit.cpp:1226
#85 0x0804f55d in handle_requests (waitForPid=0) at /local/git/KDE/libs/kdelibs/kinit/kinit.cpp:1419
#86 0x08050e58 in main (argc=4, argv=0xbfce9414, envp=0xbfce9428) at /local/git/KDE/libs/kdelibs/kinit/kinit.cpp:1907

Reported using DrKonqi
Comment 1 Christoph Feck 2011-08-09 10:40:34 UTC
Calligra compiled from master yesterday.
Comment 2 Sebastian Sauer 2011-08-11 10:15:19 UTC
Should be fixed with aab7c1e67d68af2b8ad2382b0fb500934e4119a9. Lot of thanks for the report!
Comment 3 Christoph Feck 2011-08-11 11:22:16 UTC
Tried aab7c1e6, same crash as before.

ASSERT failure in QDBusConnection::registerObject: "Invalid object path given", file /local/git/Qt/qt/src/dbus/qdbusconnection.cpp, line 731
Comment 4 Sebastian Sauer 2011-08-11 13:22:39 UTC
Thank you very much for testing+reopening. Does it also still say;

#11 0xb6aa9b3e in qt_message (msgType=QtFatalMsg, msg=0xb6c36438 "ASSERT
failure in %s: \"%s\", file %s, line %d", ap=0xbfce6e24
"\370<\332\266\336<\332\266\260<\332\266\333\002") at
/local/git/Qt/qt/src/corelib/global/qglobal.cpp:2328

in the backtrace? If yes then we still seem to miss some char*<=>QString logic. The other thing I could think (if it has a proper string now) is that we need to proper escape the strings if they contain special chars like e.g. "/" ...
Comment 5 Christoph Feck 2011-08-11 16:17:41 UTC
I am not sure what special character you mean. The filename had spaces in it, but I renamed the filename to only contain ASCII letters, but same crash.

Relevant part:

Thread 1 (Thread 0xb474aa50 (LWP 9534)):
[KCrash Handler]
#7  0xffffe424 in __kernel_vsyscall ()
#8  0xb51f48df in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#9  0xb51f6220 in abort () at abort.c:92
#10 0xb63989d3 in qt_message_output (msgType=QtFatalMsg, buf=0x86f95c8 "ASSERT failure in QDBusConnection::registerObject: \"Invalid object path given\", file /local/git/Qt/qt/src/dbus/qdbusconnection.cpp, line 731") at /local/git/Qt/qt/src/corelib/global/qglobal.cpp:2282
#11 0xb6398b3e in qt_message (msgType=QtFatalMsg, msg=0xb6525438 "ASSERT failure in %s: \"%s\", file %s, line %d", ap=0xbfd15ff4 "\370\334,\266\336\334,\266\260\334,\266\333\002") at /local/git/Qt/qt/src/corelib/global/qglobal.cpp:2328
#12 0xb6398f6a in qFatal (msg=0xb6525438 "ASSERT failure in %s: \"%s\", file %s, line %d") at /local/git/Qt/qt/src/corelib/global/qglobal.cpp:2511
#13 0xb63985ba in qt_assert_x (where=0xb62cdcf8 "QDBusConnection::registerObject", what=0xb62cdcde "Invalid object path given", file=0xb62cdcb0 "/local/git/Qt/qt/src/dbus/qdbusconnection.cpp", line=731) at /local/git/Qt/qt/src/corelib/global/qglobal.cpp:2035
#14 0xb627f31a in QDBusConnection::registerObject (this=0xbfd160dc, path=..., object=0x86b6df0, options=...) at /local/git/Qt/qt/src/dbus/qdbusconnection.cpp:730
#15 0xb1a66940 in Calligra::Tables::Doc::sheetAdded (this=0x8497640, sheet=0x86b6df0) at /local/git/extragear/office/calligra/tables/part/Doc.cpp:609
#16 0xb1a66ebc in Calligra::Tables::Doc::qt_metacall (this=0x8497640, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbfd161e8) at /local/build/extragear/office/calligra/tables/Doc.moc:85
#17 0xb64b643a in QMetaObject::metacall (object=0x8497640, cl=QMetaObject::InvokeMetaMethod, idx=43, argv=0xbfd161e8) at /local/git/Qt/qt/src/corelib/kernel/qmetaobject.cpp:237
#18 0xb64c95bf in QMetaObject::activate (sender=0x86402f8, m=0xb1950bcc, local_signal_index=2, argv=0xbfd161e8) at /local/git/Qt/qt/src/corelib/kernel/qobject.cpp:3278
#19 0xb182591c in Calligra::Tables::Map::sheetAdded (this=0x86402f8, _t1=0x86b6df0) at /local/build/extragear/office/calligra/tables/Map.moc:127
#20 0xb1821820 in Calligra::Tables::Map::addSheet (this=0x86402f8, _sheet=0x86b6df0) at /local/git/extragear/office/calligra/tables/Map.cpp:348
#21 0xb182185f in Calligra::Tables::Map::addNewSheet (this=0x86402f8, name=...) at /local/git/extragear/office/calligra/tables/Map.cpp:354
#22 0xb1823304 in Calligra::Tables::Map::loadOdf (this=0x86402f8, body=..., odfContext=...) at /local/git/extragear/office/calligra/tables/Map.cpp:599
#23 0xb180bc5e in Calligra::Tables::DocBase::loadOdf (this=0x8497640, odfStore=...) at /local/git/extragear/office/calligra/tables/DocBase.cpp:249
Comment 6 Christoph Feck 2011-08-11 16:31:38 UTC
I inserted a qDebug() << dbusPath; before the registerObject() call. The output is "/Map/Map/", the quotes are added by the debug call.
Comment 7 Sebastian Sauer 2011-08-12 14:55:22 UTC
Thanks for comment #6 which shows that somehow we end with an trailing / what explains the assert. This is fixed with commit d5270590a1350e3d1816246be3600278fb705faa now what should, theoretically, finally fix the QDBus assert.
Comment 8 Christoph Feck 2011-08-12 15:25:32 UTC
I haven't compiled yet, but since the change affects the prepended name, I doubt that it will change anything. From looking at the code, this->objectName() is empty.
Comment 9 Sebastian Sauer 2011-08-12 15:45:12 UTC
this->objectName() is empty? oh, oh, that's a bad sign cause it never should be...

p.s. it would make it a bit easier if you can provide me a hint how to reproduce :)
Comment 10 Christoph Feck 2011-08-12 15:51:31 UTC
$> konqueror name.ods
Comment 11 Sebastian Sauer 2011-08-12 15:57:53 UTC
ah, makes sense. Anyways, no testing needed cause this->objectName().isEmpty()==true did guide me direct to the commit that introduced the prob :)
It's fixed now with cad14fd8ef38154b4bd9f3bd28cb10f2d9b921e0.
Lot of thanks for keeping on the case + testing + and all the great feedback!
Comment 12 srikanth Tiyyagura 2011-08-12 16:48:42 UTC
Git commit 8f27d49be4fd177402b339a9a9d920b25ad70102 by Srikanth Tiyyagura, on behalf of Sebastian Sauer.
Committed on 11/08/2011 at 12:15.
Pushed by tiyyagura into branch 'krita_resource-management-tagging-tiyyagura'.

Fix Crash when previewing .ods document
Be sure to proper convert from chart*/QByteArray to QString.
BUG:279725

M  +2    -2    tables/shape/TableTool.cpp
M  +1    -1    tables/shape/SheetsEditor.cpp
M  +1    -1    tables/shape/TableShape.cpp
M  +1    -1    tables/dialogs/PasteInsertDialog.cpp
M  +1    -1    tables/dialogs/ShowDialog.cpp
M  +1    -1    tables/dialogs/SortDialog.cpp
M  +2    -2    tables/ui/CellToolOptionWidget.cpp
M  +1    -1    tables/plugins/calendar/CalendarTool.cpp
M  +1    -1    tables/part/dialogs/SheetPropertiesDialog.cpp
M  +1    -1    tables/dialogs/DocumentSettingsDialog.cpp
M  +2    -2    tables/Sheet.cpp
M  +2    -2    tables/dialogs/CharacterSelectDialog.h
M  +1    -1    tables/dialogs/AutoFormatDialog.cpp
M  +1    -1    tables/dialogs/AddNamedAreaDialog.cpp
M  +2    -2    tables/dialogs/CharacterSelectDialog.cpp
M  +1    -1    tables/dialogs/GotoDialog.cpp
M  +1    -1    tables/part/dialogs/PreferenceDialog.cpp
M  +1    -1    tables/Map.cpp
M  +2    -2    tables/dialogs/NamedAreaDialog.cpp
M  +2    -2    tables/dialogs/FindDialog.h
M  +1    -1    tables/dialogs/GoalSeekDialog.cpp
M  +1    -1    tables/dialogs/DatabaseDialog.cpp
M  +2    -2    tables/dialogs/FindDialog.cpp

http://commits.kde.org/calligra/8f27d49be4fd177402b339a9a9d920b25ad70102
Comment 13 srikanth Tiyyagura 2011-08-12 16:48:45 UTC
Git commit 01d6f7c3cd210b3af3cab0695284d511bebdb7e2 by Srikanth Tiyyagura, on behalf of Sebastian Sauer.
Committed on 12/08/2011 at 16:54.
Pushed by tiyyagura into branch 'krita_resource-management-tagging-tiyyagura'.

Next try to fix Crash when previewing .ods document
BUG:279725

M  +9    -1    tables/part/Doc.cpp

http://commits.kde.org/calligra/01d6f7c3cd210b3af3cab0695284d511bebdb7e2
Comment 14 srikanth Tiyyagura 2011-08-12 16:48:45 UTC
Git commit 845b693fde997805223fd2f6b02721e1ef6725d5 by Srikanth Tiyyagura, on behalf of Sebastian Sauer.
Committed on 12/08/2011 at 17:54.
Pushed by tiyyagura into branch 'krita_resource-management-tagging-tiyyagura'.

and finally fix Crash when previewing .ods document
regression was introduced with 8cf2d2874
BUG:279725

M  +3    -12   tables/part/Doc.cpp

http://commits.kde.org/calligra/845b693fde997805223fd2f6b02721e1ef6725d5
Comment 15 Inge Wallin 2011-08-16 08:09:46 UTC
Git commit a3b86f58342c2472ff58f990c65488cd8a9eca3b by Inge Wallin, on behalf of Sebastian Sauer.
Committed on 11/08/2011 at 12:15.
Pushed by ingwa into branch 'nondestructive-unavail-leinir'.

Fix Crash when previewing .ods document
Be sure to proper convert from chart*/QByteArray to QString.
BUG:279725

M  +2    -2    tables/shape/TableTool.cpp
M  +1    -1    tables/shape/SheetsEditor.cpp
M  +1    -1    tables/shape/TableShape.cpp
M  +1    -1    tables/dialogs/PasteInsertDialog.cpp
M  +1    -1    tables/dialogs/ShowDialog.cpp
M  +1    -1    tables/dialogs/SortDialog.cpp
M  +2    -2    tables/ui/CellToolOptionWidget.cpp
M  +1    -1    tables/plugins/calendar/CalendarTool.cpp
M  +1    -1    tables/part/dialogs/SheetPropertiesDialog.cpp
M  +1    -1    tables/dialogs/DocumentSettingsDialog.cpp
M  +2    -2    tables/Sheet.cpp
M  +2    -2    tables/dialogs/CharacterSelectDialog.h
M  +1    -1    tables/dialogs/AutoFormatDialog.cpp
M  +1    -1    tables/dialogs/AddNamedAreaDialog.cpp
M  +2    -2    tables/dialogs/CharacterSelectDialog.cpp
M  +1    -1    tables/dialogs/GotoDialog.cpp
M  +1    -1    tables/part/dialogs/PreferenceDialog.cpp
M  +1    -1    tables/Map.cpp
M  +2    -2    tables/dialogs/NamedAreaDialog.cpp
M  +2    -2    tables/dialogs/FindDialog.h
M  +1    -1    tables/dialogs/GoalSeekDialog.cpp
M  +1    -1    tables/dialogs/DatabaseDialog.cpp
M  +2    -2    tables/dialogs/FindDialog.cpp

http://commits.kde.org/calligra/a3b86f58342c2472ff58f990c65488cd8a9eca3b
Comment 16 Inge Wallin 2011-08-16 08:09:49 UTC
Git commit 455218df6d4ed1224d76118f083e66fe7f12fb28 by Inge Wallin, on behalf of Sebastian Sauer.
Committed on 12/08/2011 at 16:54.
Pushed by ingwa into branch 'nondestructive-unavail-leinir'.

Next try to fix Crash when previewing .ods document
BUG:279725

M  +9    -1    tables/part/Doc.cpp

http://commits.kde.org/calligra/455218df6d4ed1224d76118f083e66fe7f12fb28